@charset "UTF-8";

#gnav {
  display: none;
}

/****** ここからメディアクエリ ******
*********************************/
@media screen and (max-width: 750px) {
  .btn_menu {
    display: block;
    position: fixed;
    right: 2.67vw;
    top: 4vw;
    z-index: 9999;
    width: 12vw;
    height: 12vw;
    border-radius: 50%;
    background-color: #6b9d72;
    transform: translateY(0);
    opacity: 1;
    transition: all 0.3s;
  }
  #btn_menu.disappear {
    animation: disappearing 0.5s forwards;
  }
  @keyframes disappearing {
    from {
      opacity: 1;
      transform: translateY(0);
    }
    to {
      opacity: 0;
      transform: translateY(-20vw);
    }
  }

  #btn_menu.appear {
    animation: appearing 0.5s forwards;
  }
  @keyframes appearing {
    from {
      opacity: 0;
      transform: translateY(-20vw);
    }
    to {
      opacity: 1;
      transform: translateY(0);
    }
  }

  .btn_menu span {
    display: block;
    position: absolute;
    transition: all 0.25s ease-in-out;
  }

  .btn_menu span:nth-of-type(1) {
    left: 50%;
    top: 32%;
    transform: translate(-50%, 0) rotate(0);
    width: 6.53vw;
    height: 0.27vw;
    background-color: #fff;
  }

  .btn_menu span:nth-of-type(2) {
    left: 61%;
    top: 46%;
    transform: translate(-50%, 0) rotate(0);
    width: 3.73vw;
    height: 0.27vw;
    background-color: #fff;
  }

  .btn_menu.is-open span:nth-of-type(1) {
    top: 38%;
    transform: translate(-50%, -50%) rotate(45deg);
    width: 5.33vw;
  }

  .btn_menu.is-open span:nth-of-type(2) {
    left: 50%;
    top: 38%;
    transform: translate(-50%, -50%) rotate(-45deg);
    width: 5.33vw;
  }

  .btn_menu::before {
    content: "Menu";
    position: absolute;
    left: 50%;
    bottom: 3.07vw;
    transform: translateX(-50%);
    font-size: 2vw;
    font-weight: 600;
    line-height: 1;
    letter-spacing: 0.08em;
    font-family: "Barlow", sans-serif;
    color: #fff;
    text-transform: uppercase;
    visibility: visible;
    opacity: 1;
    transition: all 0.25s ease-in;
  }
  .btn_menu.is-open::before {
    visibility: hidden;
    opacity: 0;
  }

  .btn_menu::after {
    content: "Close";
    position: absolute;
    left: 50%;
    bottom: 2.4vw;
    transform: translateX(-50%);
    font-size: 2vw;
    font-weight: 600;
    line-height: 1;
    letter-spacing: 0.08em;
    font-family: "Barlow", sans-serif;
    color: #fff;
    text-transform: uppercase;
    visibility: hidden;
    opacity: 0;
    transition: all 0.25s ease-in;
  }
  .btn_menu.is-open::after {
    visibility: visible;
    opacity: 1;
  }

  /* ここまでハンバーガーメニュー */

  /***** ここからnav *****/
  #gnav {
    display: block;
    position: fixed;
    left: 0;
    top: 0;
    z-index: 7500;
    width: 100%;
    height: 100vh;
    background-color: #f2f2f2;
    overflow: hidden;
    transition: all 0.25s;
    opacity: 0;
    visibility: hidden;
  }

  #gnav.is-open {
    visibility: visible;
    opacity: 1;
  }

  .navigation {
    overflow-y: auto;
    width: 100%;
    height: 100%;
    padding: 23.7vw 0 23.7vw 10.67vw;
  }

  .nav_list {
    width: 100%;
    padding-bottom: 11.33vw;
    display: flex;
    flex-direction: column;
    gap: 7.8vw;
  }

  .nav_item {
    position: relative;
    padding-bottom: 3.6vw;
  }
  .nav_item::before {
    content: "";
    position: absolute;
    left: 0;
    bottom: 0;
    width: 100%;
    height: 0.27vw;
    background-color: #d2d2d2;
  }
  .nav_item::after {
    content: "";
    position: absolute;
    left: 0;
    bottom: 0;
    width: 20vw;
    height: 0.27vw;
    background-color: #5f7653;
  }

  .nav_item a {
    font-size: 4vw;
    font-weight: 600;
  }

  .nav_sub {
    display: flex;
    flex-direction: column;
    gap: 6.67vw;
  }

  .sub_item a {
    width: fit-content;
    font-size: 3.2vw;
    color: #666;
  }
}
/* 750 */
